<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0"
				xmlns:mml="http://www.w3.org/1998/Math/MathML">

<xsl:output method="html"
            indent="yes"
            encoding="UTF-8"
            doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
            doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
/>

<xsl:param name="default.table.width" select="'100%'"/>

<xsl:strip-space elements="*"/>

<xsl:template match="/">

  <HTML> 
    <HEAD>
        <LINK REL="StyleSheet" HREF="INSERM-EXPERTISE.css" TYPE="text/css"></LINK>
    </HEAD>
      <BODY>
        <DIV CLASS="Gabarit">
        	<b><xsl:value-of select="/INSERM-QUESTIONS-SANTE-EXPERTISE/@*"/></b>
	       <!-- <xsl:for-each select="/INSERM-QUESTIONS-SANTE-EXPERTISE/@*">
	          &#32;<xsl:value-of select="name()"/>=&#34;<xsl:value-of select="."/>&#34;
  	      </xsl:for-each>    -->  
          <HR CLASS="Trait"/>
          <xsl:apply-templates select="//QUESTIONS-SANTE|//EXPERTISE"/>
        </DIV>
      </BODY>
    </HTML>
</xsl:template>

<xsl:template match="QUESTIONS-SANTE">
  <xsl:apply-templates select="child::*"/>
</xsl:template>

<xsl:template match="EXPERTISE">
  <xsl:apply-templates select="child::*"/>
</xsl:template>

<xsl:template match="INFORMATION-OUVRAGE">
  <xsl:apply-templates/>
  <HR CLASS="Trait"/>
</xsl:template>

<xsl:template match="ANALYSE|SYNTHESE|COMMUNICATION|RECOMMANDATION-ANALYSE|
                     RECOMMANDATION-SYNTHESE|CHAPITRE-EXPERTISE|CHAPITRE-COMMUNICATION">
  <TABLE BORDER="0" WIDTH="100%" BGCOLOR="#DDDDDD">
    <TR VALIGN="TOP">
      <TD WIDTH="100%" ALIGN="RIGHT">
        <xsl:choose>
          <xsl:when test="name()='ANALYSE' or name()='RECOMMANDATION-ANALYSE'">
            ANALYSE
          </xsl:when>
          <xsl:when test="name()='SYNTHESE' or name()='RECOMMANDATION-SYNTHESE'">
            SYNTHESE
          </xsl:when>
          <xsl:when test="name()='COMMUNICATION'">
            COMMUNICATIONS
          </xsl:when>
        </xsl:choose>
      </TD>
    </TR>
  </TABLE>
  <xsl:apply-templates/>
  <xsl:if test="name()!='ANALYSE' and name()!='COMMUNICATION'">
	  <xsl:if test="count(.//NOTE-BAS-PAGE)">
		  <TABLE BORDER="0" WIDTH="50%">
		    <TR>
		      <TD WIDTH="100%">
	  				<HR CLASS="Trait-Gris"/>
		      </TD>
		    </TR>
		   </TABLE>
	  </xsl:if>
	  <TABLE BORDER="0" WIDTH="100%">
	    <TR>
	      <TD WIDTH="100%">
	        <xsl:apply-templates select=".//NOTE-BAS-PAGE" mode="NBP"/>
	      </TD>
	    </TR>
	   </TABLE>
  </xsl:if>
  <HR CLASS="Trait"/>
</xsl:template>

<xsl:template match="ANALYSE|SYNTHESE|COMMUNICATION|RECOMMANDATION-ANALYSE|RECOMMANDATION-SYNTHESE" mode="SOM">
  <P CLASS="SOM-TITRE-NIVEAU">
	  <xsl:choose>
	    <xsl:when test="name()='ANALYSE'">
	      Analyse
	    </xsl:when>
	    <xsl:when test="name()='SYNTHESE'">
	      Synth&#232;se
	    </xsl:when>
	    <xsl:when test="name()='RECOMMANDATION-ANALYSE'">
	      Recommandations analyse
	    </xsl:when>
	    <xsl:when test="name()='RECOMMANDATION-SYNTHESE'">
	      Recommandations synth&#232;se
	    </xsl:when>
	    <xsl:otherwise>
	      Communications
	    </xsl:otherwise>
	  </xsl:choose>
	</P>
  <xsl:apply-templates select="NUMERO|TITRE|CHAPITRE-COMMUNICATION/TITRE" mode="SOM"/>
</xsl:template>

<xsl:template match="TITRE-SECT-AVANT-PROPOS|TITRE-SECT-AUTEUR|TITRE-SECT-REMERCIEMENTS|
                    TITRE-SECT-LISTE-DES-SIGLES|TITRE-SECT-PREFACE|TITRE-SECT-SOMMAIRE|
                    TITRE-SECT-INTRODUCTION|TITRE-SECT-CONCLUSION|TITRE-SECT-BIBLIOGRAPHIE|
                    TITRE-SECT-GLOSSAIRE|TITRE-SECT-ANNUAIRE|TITRE-NOTE-LECTURE|TITRE-SECT-POSTFACE|
                    TITRE-SECT-MEME-COLLECTION|TITRE-SECT-EQUIPES|TITRE-RUBRIQUE-SECT-AUTEUR|
                    TITRE-ANNEXES|TITRE" mode="SOM">
  <xsl:if test="name()!='TITRE-SECT-SOMMAIRE'">
	  <P CLASS="SOM-TITRE-NIVEAU">
	    <xsl:apply-templates select="child::*|text()"/>
	    <xsl:choose>
	      <xsl:when test="count(..//AUTEUR-SOMMAIRE)">
	        <xsl:apply-templates select="..//AUTEUR-SOMMAIRE" mode="SOM"/>
	      </xsl:when>
	      <xsl:otherwise>
	        <xsl:apply-templates select="../AUTEUR" mode="SOM"/>
	      </xsl:otherwise>
	    </xsl:choose>
	  </P>
	</xsl:if>
  <xsl:choose>
    <xsl:when test="name()='TITRE-SECT-INTRODUCTION'">
<xsl:variable name="SomDevIntro" select="//SECT-SOMMAIRE/@DevIntro"/>
    	<xsl:if test="$SomDevIntro='oui'">
      		<xsl:apply-templates select="..//TITRE-NIVEAU1-INTRODUCTION|..//TITRE-NIVEAU2-INTRODUCTION|..//TITRE-NIVEAU3-INTRODUCTION" mode="SOM"/>
      	</xsl:if>
    </xsl:when>
<xsl:when test="name()='TITRE'">
<P>gg</P>
    	<xsl:if test="name(..)='CHAPITRE-QUESTIONS'">
      <xsl:apply-templates select="//QUESTIONS-SANTE/PARTIE-QUESTIONS/TITRE-PARTIE-QUESTIONS|//QUESTIONS-SANTE/PARTIE-QUESTIONS/CHAPITRE-QUESTIONS/TITRE|
                                  //QUESTIONS-SANTE/CHAPITRE-QUESTIONS/TITRE"
                                   mode="SOM"/>

      	</xsl:if>
    </xsl:when>    
    <xsl:when test="name()='TITRE-SECT-CONCLUSION'">
      <xsl:apply-templates select="..//TITRE-NIVEAU1-CONCLUSION|..//TITRE-NIVEAU2-CONCLUSION|..//TITRE-NIVEAU3-CONCLUSION" mode="SOM"/>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="TITRE-NIVEAU1-INTRODUCTION|TITRE-NIVEAU2-INTRODUCTION|TITRE-NIVEAU3-INTRODUCTION|
                    TITRE-NIVEAU1-CONCLUSION|TITRE-NIVEAU2-CONCLUSION|TITRE-NIVEAU3-CONCLUSION"
                     mode="SOM">
  <xsl:choose>
    <xsl:when test="name()='TITRE-NIVEAU1-INTRODUCTION' or name()='TITRE-NIVEAU1-CONCLUSION'">
      <P CLASS="SOM-TITRE-NIVEAU1">-
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>
    </xsl:when>
    <xsl:when test="name()='TITRE-NIVEAU2-INTRODUCTION' or name()='TITRE-NIVEAU2-CONCLUSION'">
      <P CLASS="SOM-TITRE-NIVEAU2">
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>
    </xsl:when>
    <xsl:when test="name()='TITRE-NIVEAU3-INTRODUCTION' or name()='TITRE-NIVEAU3-CONCLUSION'">
      <P CLASS="SOM-TITRE-NIVEAU3">
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="TITRE-PARTIE-QUESTIONS|TITRE-PARTIE-EXPERTISE|TITRE" mode="SOM">
  <xsl:choose>
    <xsl:when test="name()='TITRE-PARTIE-QUESTIONS' or name()='TITRE-PARTIE-EXPERTISE'">
      <P CLASS="SOM-TITRE-NIVEAU-CORPS">
	      <xsl:if test="count(../NUMERO)">
	        <FONT CLASS="SOM-NUMERO"><xsl:apply-templates select="../NUMERO/child::*|../NUMERO/text()" mode="SOM"/>.&#32;</FONT>
	      </xsl:if>
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>
    </xsl:when>
    <xsl:when test="name()='TITRE' and name(..)!='COMMUNICATION'
                   and name(..)!='RECOMMANDATION-ANALYSE' and name(..)!='RECOMMANDATION-SYNTHESE'">
             <xsl:choose>
             <xsl:when test="name(..)='CHAPITRE-QUESTIONS' and name(../..)!='PARTIE-QUESTIONS'">
      <P CLASS="SOM-TITRE-NIVEAU">
	      <xsl:if test="count(../NUMERO)">
	        <FONT CLASS="SOM-NUMERO"><xsl:apply-templates select="../NUMERO/child::*|../NUMERO/text()" mode="SOM"/>.&#32;</FONT>
	      </xsl:if>
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>             </xsl:when>
             <xsl:otherwise>
      <P CLASS="SOM-TITRE-NIVEAU1">
	      <xsl:if test="count(../NUMERO)">
	        <FONT CLASS="SOM-NUMERO"><xsl:apply-templates select="../NUMERO/child::*|../NUMERO/text()" mode="SOM"/>.&#32;</FONT>
	      </xsl:if>
        <xsl:apply-templates select="child::*[name()!=NOTE-BAS-PAGE]|text()"/>
      </P>
             </xsl:otherwise>
             </xsl:choose>

    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="AUTEUR|AUTEUR-SOMMAIRE" mode="SOM">
  <FONT CLASS="SOM-AUTEUR">&#32;<xsl:apply-templates select="child::*|text()"/></FONT>
</xsl:template>

<xsl:template match="REFERENCE-BIBLIOGRAPHIQUE" mode="REF">
  <P CLASS="REFERENCE-BIBLIOGRAPHIQUE"><xsl:value-of select="position()"/>&#46; <xsl:apply-templates select="child::*|text()" mode="REF"/>
  </P>
</xsl:template>

<xsl:template match="TITRE-INFO|SOUS-TITRE-INFO|COLLECTION-INFO">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TITRE-PARTIE-QUESTIONS|TITRE-REGROUPEMENT">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TITRE-PARTIE-EXPERTISE">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
  <HR CLASS="Trait-Gris"/>
</xsl:template>

<xsl:template match="TITRE">
  <xsl:choose>
    <xsl:when test="name(..)='CHAPITRE-QUESTIONS' or name(..)='CHAPITRE-COMMUNICATION'">
      <P CLASS="CHAPITRE-QUESTIONS-TITRE"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name(..)='COMMUNICATION'">
      <P CLASS="TITRE-PARTIE-QUESTIONS"><xsl:apply-templates/></P>
      <HR CLASS="Trait-Gris"/>
    </xsl:when>
    <xsl:when test="name(..)='CHAPITRE-EXPERTISE'">
      <P CLASS="TITRE-CHAPITRE-EXPERTISE"><xsl:apply-templates/></P>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="TITRE-NIVEAU1-CHAPITRE|TITRE-NIVEAU2-CHAPITRE|
                    TITRE-NIVEAU3-CHAPITRE|TITRE-NIVEAU4-CHAPITRE">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TITRE-NIVEAU5-CHAPITRE|TITRE-NIVEAU5BIS-CHAPITRE">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="AUTEUR">
  <xsl:choose>
    <xsl:when test="name(..)='AUTEUR-COMPLET'">
      <P CLASS="AUTEUR-COMPLET"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name(..)='BLOC-AUTEUR'">
      <xsl:apply-templates/>
    </xsl:when>
    <xsl:otherwise>
      <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><b><xsl:apply-templates/></b></P>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="FONCTION|ENTREPRISE|VILLE|PAYS">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute>, <xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="BLOC-GLOSSAIRE|BLOC-SIGLE">
  <TABLE BORDER="0" WIDTH="100%">
    <TR VALIGN="TOP">
      <TD WIDTH="30%">
        <xsl:apply-templates select="SIGLE|ENTREE-GLOSSAIRE"/>
      </TD>
      <TD>
        <xsl:apply-templates select="DEFINITION-SIGLE|DEFINITION-GLOSSAIRE"/>
      </TD>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template match="BLOC-RESSOURCE">
  <TABLE BORDER="0" WIDTH="100%">
    <TR VALIGN="TOP"><TD COLSPAN="2"><xsl:apply-templates select="RESSOURCE"/></TD></TR>
    <TR VALIGN="TOP">
      <TD WIDTH="60%">
        <xsl:apply-templates select="ADRESSE"/>
      </TD>
      <TD>
        <xsl:apply-templates select="TELEPHONE|FAX|MAIL|WEB"/>
      </TD>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template match="BLOC-OUVRAGE">
  <TABLE BORDER="0" WIDTH="100%" CELLPACING="0" CELLPADDING="0">
    <TR VALIGN="TOP"><TD COLSPAN="2"><xsl:apply-templates select="TITRE-OUVRAGE"/></TD></TR>
    <TR VALIGN="TOP"><TD COLSPAN="2"><xsl:apply-templates select="SOUS-TITRE-OUVRAGE"/></TD></TR>
    <TR VALIGN="TOP">
      <TD WIDTH="60%">
        <xsl:apply-templates select="AUTEUR-OUVRAGE"/>
      </TD>
      <TD WIDTH="20%">
        <xsl:apply-templates select="ANNEE-OUVRAGE"/>
      </TD>
      <TD WIDTH="20%">
        <TABLE BORDER="0" WIDTH="100%">
          <TR VALIGN="TOP">
            <TD>
              <xsl:apply-templates select="NB-PAGE-OUVRAGE"/>
            </TD>
            <TD>
              <xsl:apply-templates select="PRIX-OUVRAGE"/>
            </TD>
          </TR>
        </TABLE>
      </TD>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template match="BLOC-EQUIPE">
  <TABLE BORDER="0" WIDTH="100%">
    <TR VALIGN="TOP" ALIGN="LEFT">
      <TH VALIGN="TOP" WIDTH="60%">&#201;quipe</TH>
      <TH VALIGN="TOP">Responsable de l'&#233;quipe</TH>
    </TR>
    <TR VALIGN="TOP">
      <TD WIDTH="30%">
        <xsl:apply-templates select="EQUIPE"/>
      </TD>
      <TD>
        <xsl:apply-templates select="RESPONSABLE-EQUIPE"/>
      </TD>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template match="ENCADRE">
  <xsl:choose>
    <xsl:when test="@Type!='Rectangle'">
      <HR COLOR="black"/>
		  <TABLE BORDER="0" WIDTH="100%">
		    <TR>
		      <TD WIDTH="100%">
		        <xsl:apply-templates/>
		      </TD>
		    </TR>
		    <TR>
		      <TD WIDTH="100%">
		        <xsl:apply-templates select=".//NOTE-ENCADRE" mode="NE"/>
		      </TD>
		    </TR>
		  </TABLE>
      <HR COLOR="black"/>
    </xsl:when>
    <xsl:otherwise>
		  <TABLE BORDER="1" WIDTH="100%">
		    <TR>
		      <TD WIDTH="100%">
		        <xsl:apply-templates/>
		      </TD>
		    </TR>
		    <TR>
		      <TD WIDTH="100%">
		        <xsl:apply-templates select=".//NOTE-ENCADRE" mode="NE"/>
		      </TD>
		    </TR>
		  </TABLE>
		</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="TABLEAU">
  <xsl:apply-templates select="TITRE-TABLEAU|table|TABLEAU-IMAGE"/>
  <TABLE BORDER="0" WIDTH="100%">
    <TR>
      <TD WIDTH="100%">
        <xsl:apply-templates select=".//NOTE-TABLEAU" mode="TA"/>
      </TD>
    </TR>
  </TABLE>
  <xsl:apply-templates select="LEGENDE-TABLEAU|SOURCE-TABLEAU"/>
</xsl:template>

<xsl:template match="NUMERO">
  <xsl:choose>
    <xsl:when test="name(..)='PARTIE-QUESTIONS'">
      <P CLASS="PARTIE-QUESTIONS-NUMERO">Partie <xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name(..)='PARTIE-EXPERTISE'">
      <P CLASS="PARTIE-EXPERTISE-NUMERO"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name(..)='CHAPITRE-QUESTIONS'">
      <P CLASS="CHAPITRE-QUESTIONS-NUMERO">Chapitre <xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name(..)='CHAPITRE-EXPERTISE'">
      <P CLASS="CHAPITRE-EXPERTISE-NUMERO"><xsl:apply-templates/></P>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="AVERTISSEMENT|TITRE-REMERCIEMENTS|TITRE-REFERENCES-CHAPITRE|
                    TITRE-REF-SUPP|BLOC-AUTEUR|AFFILIATION|TITRE-REFERENCES-INTRODUCTION|
                    TITRE-REFERENCES-CONCLUSION|TITRE-RUBRIQUE-GLOSSAIRE|
                    RESSOURCE|ADRESSE|TELEPHONE|FAX|WEB|SIGLE|ENTREE-GLOSSAIRE|
                    DEFINITION-SIGLE|DEFINITION-GLOSSAIRE|TITRE-OUVRAGE|SOUS-TITRE-OUVRAGE|
                    AUTEUR-OUVRAGE|ANNEE-OUVRAGE|EQUIPE|RESPONSABLE-EQUIPE|TITRE-FLOTTANT|
                    TITRE-ENCADRE|TITRE-ORIGINE-SOURCE|TITRE-ORIGINE-TEXTE">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TEMOIN|CITATION|TEXTE-ETRANGER">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="INTER-ANNEXE-ROMAIN|INTER-ANNEXE-CENTRE-GRAS|INTER-ANNEXE-ITALIQUE|
                     INTER-ANNEXE-GRAS|INTER-ANNEXE-ITALIQUE-GRAS|
                     INTER-ANNEXE-CHAPITRE-NIVEAU-1|INTER-ANNEXE-CHAPITRE-NIVEAU-2|
                     INTER-ANNEXE-CHAPITRE-NIVEAU-3|INTER-ANNEXE-CHAPITRE-NIVEAU-4|
                     INTRODUCTION-SIGNATURE-ANNEXE|FONCTION-SIGNATURE-ANNEXE|
                     SIGNATURE-ANNEXE|PERSONNE-SIGNATURE-ANNEXE|TITRE-REF-SUPP">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="NB-PAGE-OUVRAGE|PRIX-OUVRAGE">
  <FONT><xsl:attribute name="CLASS">&#32;<xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="TITRE-SECT-AVANT-PROPOS|TITRE-SECT-AUTEUR|TITRE-SECT-REMERCIEMENTS|
                    TITRE-SECT-LISTE-DES-SIGLES|TITRE-SECT-PREFACE|TITRE-SECT-SOMMAIRE|
                    TITRE-SECT-INTRODUCTION|TITRE-SECT-CONCLUSION|TITRE-SECT-BIBLIOGRAPHIE|
                    TITRE-SECT-GLOSSAIRE|TITRE-SECT-ANNUAIRE|TITRE-NOTE-LECTURE|
                    TITRE-SECT-MEME-COLLECTION|TITRE-SECT-EQUIPES|TITRE-RUBRIQUE-SECT-AUTEUR|
                    TITRE-ANNEXES">
  <P CLASS="TITRE-SECTION"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="SECT-AVANT-PROPOS|SECT-AUTEUR|SECT-REMERCIEMENTS|
                    SECT-LISTE-DES-SIGLES|SECT-PREFACE|
                    SECT-INTRODUCTION|SECT-CONCLUSION|SECT-BIBLIOGRAPHIE|
                    SECT-GLOSSAIRE|SECT-ANNUAIRE|SECT-NOTE-LECTURE|SECT-POSTFACE|
                    SECT-MEME-COLLECTION|SECT-EQUIPES|RUBRIQUE-SECT-AUTEUR|
                    PARTIE-QUESTIONS|CHAPITRE-QUESTIONS|ANNEXES|ANNEXE">
  <xsl:if test="name()='SECT-POSTFACE'">
    <P CLASS="TITRE-SECTION">Postface</P>
  </xsl:if>
  <xsl:apply-templates/>  
  <xsl:if test="name()!='PARTIE-QUESTIONS' and name()!='RUBRIQUE-SECT-AUTEUR' and name()!='ANNEXES'">
	  <xsl:if test="count(.//NOTE-BAS-PAGE)">
		  <TABLE BORDER="0" WIDTH="50%">
		    <TR>
		      <TD WIDTH="100%">
	  				<HR CLASS="Trait-Gris"/>
		      </TD>
		    </TR>
		   </TABLE>
	  </xsl:if>
	  <TABLE BORDER="0" WIDTH="100%">
	    <TR>
	      <TD WIDTH="100%">
	        <xsl:apply-templates select=".//NOTE-BAS-PAGE" mode="NBP"/>
	      </TD>
	    </TR>
	   </TABLE>
  </xsl:if>
  <HR CLASS="Trait"/>
</xsl:template>

<xsl:template match="SECT-SOMMAIRE">
<xsl:variable name="SomDevIntro" select="@DevIntro"/>


  <xsl:apply-templates select="//TITRE-SECT-AVANT-PROPOS|//TITRE-SECT-AUTEUR|//TITRE-SECT-REMERCIEMENTS|
                    //TITRE-SECT-LISTE-DES-SIGLES|//TITRE-SECT-PREFACE|//TITRE-SECT-SOMMAIRE|
                    //TITRE-SECT-INTRODUCTION|//TITRE-SECT-CONCLUSION|//TITRE-SECT-BIBLIOGRAPHIE|
                    //TITRE-SECT-GLOSSAIRE|//TITRE-SECT-ANNUAIRE|//TITRE-NOTE-LECTURE|//TITRE-SECT-POSTFACE|
                    //TITRE-SECT-MEME-COLLECTION|//TITRE-SECT-EQUIPES|//TITRE-RUBRIQUE-SECT-AUTEUR|
                    //ANALYSE/PARTIE-EXPERTISE/TITRE-PARTIE-EXPERTISE|//ANALYSE/CHAPITRE-EXPERTISE/TITRE|
                    //ANALYSE/PARTIE-EXPERTISE/CHAPITRE-EXPERTISE/TITRE|//TITRE-ANNEXES|
                    //ANALYSE|//SYNTHESE|//RECOMMANDATION-ANALYSE|//RECOMMANDATION-SYNTHESE|
                    //COMMUNICATION|//PARTIE-QUESTIONS/TITRE|//CHAPITRE-QUESTIONS/TITRE" mode="SOM"/>
  <HR CLASS="Trait"/>
</xsl:template>

<xsl:template match="SOMMAIRE-ANNEXES">
  <P CLASS="SOM-TITRE-NIVEAU">Sommaire</P>
  <xsl:apply-templates select="..//ANNEXE|..//TITRE-RUBRIQUE-ANNEXES" mode="SOMANN"/>
  <HR CLASS="Trait-Gris"/>
</xsl:template>

<xsl:template match="GENERATION-REFERENCES-CHAPITRE">
  <xsl:choose>
    <xsl:when test="ancestor::CHAPITRE-QUESTIONS">
      <xsl:apply-templates select="ancestor::CHAPITRE-QUESTIONS//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-EXPERTISE">
      <xsl:apply-templates select="ancestor::CHAPITRE-EXPERTISE//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
    <xsl:when test="ancestor::SYNTHESE">
      <xsl:apply-templates select="ancestor::SYNTHESE//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-ANALYSE">
      <xsl:apply-templates select="ancestor::RECOMMANDATION-ANALYSE//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-SYNTHESE">
      <xsl:apply-templates select="ancestor::RECOMMANDATION-SYNTHESE//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-COMMUNICATION">
      <xsl:apply-templates select="ancestor::CHAPITRE-COMMUNICATION//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="GENERATION-REFERENCES-INTRODUCTION">
  <xsl:apply-templates select="ancestor::SECT-INTRODUCTION//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
</xsl:template>

<xsl:template match="GENERATION-REFERENCES-CONCLUSION">
  <xsl:apply-templates select="ancestor::SECT-CONCLUSION//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
</xsl:template>

<xsl:template match="GENERATION-REFERENCES-SECT-BIBLIOGRAPHIE">
  <xsl:apply-templates select="//REFERENCE-BIBLIOGRAPHIQUE" mode="REF"/>
</xsl:template>

<xsl:template match="TITRE-INTRODUCTION|TITRE-CONCLUSION|TITRE-SECT-POSTFACE|
                    INTER1-AUTRE">
  <P CLASS="SOUS-TITRE-SECTION"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="INTER2-AUTRE">
  <P CLASS="SOUS-SOUS-TITRE-SECTION"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TITRE-NIVEAU1-INTRODUCTION|TITRE-NIVEAU2-INTRODUCTION|TITRE-NIVEAU3-INTRODUCTION|
                    TITRE-NIVEAU1-CONCLUSION|TITRE-NIVEAU2-CONCLUSION|TITRE-NIVEAU3-CONCLUSION|
                    NUMERO-ANNEXE|TITRE-ANNEXE|TITRE-RUBRIQUE-ANNEXES">
  <xsl:choose>
    <xsl:when test="name()='TITRE-NIVEAU1-INTRODUCTION' or name()='TITRE-NIVEAU1-CONCLUSION' or name()='TITRE-ANNEXE'">
      <P CLASS="TITRE-NIVEAU1"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name()='NUMERO-ANNEXE'">
      <P CLASS="TITRE-NIVEAU1">Annexe <xsl:value-of select="."/></P>
    </xsl:when>
    <xsl:when test="name()='TITRE-NIVEAU2-INTRODUCTION' or name()='TITRE-NIVEAU2-CONCLUSION' or name()='TITRE-ANNEXE'">
      <P CLASS="TITRE-NIVEAU2"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name()='TITRE-NIVEAU3-INTRODUCTION' or name()='TITRE-NIVEAU3-CONCLUSION'">
      <P CLASS="TITRE-NIVEAU3"><xsl:apply-templates/></P>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="ANNEXE|TITRE-RUBRIQUE-ANNEXES|NUMERO-ANNEXE|TITRE-ANNEXE|ANNEXE" mode="SOMANN">
  <xsl:choose>
    <xsl:when test="name()='TITRE-RUBRIQUE-ANNEXES'">
      <P CLASS="SOM-TITRE-NIVEAU-CORPS"><xsl:apply-templates/></P>
    </xsl:when>
    <xsl:when test="name()='NUMERO-ANNEXE'">
      <FONT CLASS="SOM-NUMERO">Annexe <xsl:value-of select="."/> &#8212; </FONT>
    </xsl:when>
    <xsl:when test="name()='TITRE-ANNEXE'">
      <xsl:apply-templates/>
    </xsl:when>
    <xsl:when test="name()='ANNEXE'">
      <P CLASS="SOM-TITRE-NIVEAU1">
        <xsl:apply-templates select="NUMERO-ANNEXE|TITRE-ANNEXE" mode="SOMANN"/>
      </P>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="P-AVANT-PROPOS|P-SECT-REMERCIEMENTS|P-PREFACE|P-NOTE-LECTURE">
  <P CLASS="P"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="P|P-ANNEXE|P-AUTRE|P-CITATION|P-CONCLUSION|P-ENCADRE|
                    P-INTRODUCTION|P-POSTFACE|P-SECT-REMERCIEMENTS|P-TABLEAU|
                    P-REF-CHAPITRE|P-REF-SUPP">
  <xsl:choose>
    <xsl:when test="starts-with(name(..),'IT') and position()!=last()">
      <xsl:apply-templates/><BR/>
    </xsl:when>
    <xsl:when test="starts-with(name(..),'IT') and position()=last()">
      <xsl:apply-templates/>
    </xsl:when>
    <xsl:when test="name(parent::*) = 'entry' and count(../node()) = 1 and count(node()) = 0">
    <xsl:text>&#160;</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <P CLASS="P"><xsl:apply-templates/></P>
    </xsl:otherwise>
  </xsl:choose>  
</xsl:template>

<xsl:template match="IT|IT-ANNEXE|IT-AUTRE|IT-CITATION|IT-CONCLUSION|IT-ENCADRE|
                    IT-INTRODUCTION|IT-POSTFACE|IT-SECT-REMERCIEMENTS|IT-TABLEAU|
                    IT-NOTE-BAS-PAGE|IT-REF-CHAPITRE">
  <P CLASS="P">
		<xsl:variable name="LePrefix" select="@Prefix"/>
		<xsl:variable name="LeType" select="../@Type"/>
		<xsl:variable name="LeRetrait" select="../@Retrait"/>
		<xsl:choose>
			<xsl:when test="$LeType='puce-noire'">
			  &#8226; <xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='tiret'">
			  - <xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='num-point'">
			  <xsl:number format="1. " level="single"/><xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='num-degre'">
			  <xsl:number format="1&#186; " level="single"/><xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='num-par'">
			  <xsl:number format="1) " level="single"/><xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='alpha-point'">
			  <xsl:number format="a. " level="single"/><xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="$LeType='alpha-par'">
			  <xsl:number format="a) " level="single"/><xsl:apply-templates/>
			</xsl:when>
  	</xsl:choose>
  </P>
</xsl:template>

<xsl:template match="TEXTE-AUTRE">
  <HR CLASS="Trait-Rouge"/>
  <xsl:apply-templates/>
  <HR CLASS="Trait-Rouge"/>
</xsl:template>

<xsl:template match="NOTE-BAS-PAGE">
  <SUP><FONT CLASS="APPEL-NOTE-BAS-PAGE"><xsl:number format="1" level="any" 
             from="CHAPITRE-QUESTIONS|CHAPITRE-EXPERTISE|SYNTHESE|RECOMMANDATION-ANALYSE|RECOMMANDATION-SYNTHESE|CHAPITRE-COMMUNICATION|
             SECT-AVANT-PROPOS|SECT-AUTEURS|SECT-REMERCIEMENTS|SECT-LISTE-DES-SIGLES|SECT-PREFACE|
             SECT-INTRODUCTION|SECT-CONCLUSION|SECT-BIBLIOGRAPHIE|SECT-GLOSSAIRE|SECT-ANNUAIRE|SECT-NOTE-LECTURE|SECT-POSTFACE|
             SECT-MEME-COLLECTION|SECT-EQUIPES|ANNEXE"/></FONT></SUP>
</xsl:template>

<xsl:template match="REFERENCE-BIBLIOGRAPHIQUE">
  <xsl:choose>
	  <xsl:when test="count(//GENERATION-REFERENCES-SECT-BIBLIOGRAPHIE)">
	    <FONT CLASS="REFERENCE-BIBLIOGRAPHIQUE-NUMERO">[<xsl:number format="1" level="any" 
	               from="INSERM-QUESTIONS-SANTE-EXPERTISE"/>
		    <xsl:for-each select="./REF-PAGE-DEBUT">
		      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
		      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
		    </xsl:for-each>]</FONT>
    </xsl:when>
    <xsl:otherwise>  
	    <FONT CLASS="REFERENCE-BIBLIOGRAPHIQUE-NUMERO">[<xsl:number format="1" level="any" 
	               from="CHAPITRE-QUESTIONS|CHAPITRE-EXPERTISE|SYNTHESE|RECOMMANDATION-ANALYSE|RECOMMANDATION-SYNTHESE|
	               CHAPITRE-COMMUNICATION|SECT-INTRODUCTION|SECT-CONCLUSION"/>
		    <xsl:for-each select="./REF-PAGE-DEBUT">
		      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
		      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
		    </xsl:for-each>]</FONT>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="REF-AUTEUR-LIST" mode="REF">
  <xsl:apply-templates mode="REF"/><xsl:if test="not(count(REF-ANONYME))">.</xsl:if>
</xsl:template>

<xsl:template match="REF-ARTICLE-LIVRE|REF-LIVRE|REF-THESE" mode="REF">
<xsl:apply-templates mode="REF"/>.
</xsl:template>

<xsl:template match="REF-TITRE-ARTICLE|REF-TITRE-LIVRE|REF-NUMERO-EDITION|
                    REF-ARTICLE-LIVRE/REF-ANNEE|REF-LIVRE/REF-ANNEE|
                    REF-TYPE-THESE|REF-LIEU|REF-TITRE-SUJET|REF-PAYS" mode="REF">
  &#32;<xsl:apply-templates/>.
</xsl:template>

<xsl:template match="REF-TYPE-ARTICLE" mode="REF">
  &#32;{<xsl:apply-templates/>}
</xsl:template>

<xsl:template match="REF-AUTEUR" mode="REF">
  <xsl:apply-templates mode="REF"/><xsl:if test="following-sibling::*[1][self::REF-AUTEUR]">,</xsl:if>
</xsl:template>

<xsl:template match="REF-NOM|REF-INITIALES-PRENOM" mode="REF">  
  <xsl:apply-templates/><xsl:if test="name()=REF-NOM">&#32;</xsl:if>
</xsl:template>

<xsl:template match="REF-NOM-REVUE" mode="REF">  
  &#32;<xsl:apply-templates/>
</xsl:template>

<xsl:template match="REF-TITRE-ARTICLE">
<b>coucou</b>
</xsl:template>
<xsl:template match="REF-ARTICLE-REVUE/REF-ANNEE|REF-MAISON-EDITION|
                    REF-TITRE-CONF|REF-DATE" mode="REF">  
                    
  &#32;<xsl:apply-templates/>;
</xsl:template>

<xsl:template match="REF-VOLUME|REF-VILLE" mode="REF">
  <xsl:choose>
	  <xsl:when test="name()='REF-VILLE' and (name(..)='REF-CONF-PRO' or name(..)='REF-CONF')">
		  &#32;<xsl:apply-templates/>,
	  </xsl:when>
	  <xsl:otherwise>
		  &#32;<xsl:apply-templates/>:
	  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="REF-SUPPLEMENT" mode="REF">
  &#32;Suppl&#32;<xsl:apply-templates/>
</xsl:template>

<xsl:template match="REF-PARTIE" mode="REF">
  <xsl:choose>
    <xsl:when test="name(..)=REF-FASCICULE">
      &#32;Pt&#32;<xsl:apply-templates/>
    </xsl:when>
    <xsl:otherwise>
      (Pt&#32;<xsl:apply-templates/>)
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="REF-FASCICULE" mode="REF">  
  (<xsl:apply-templates/>)
</xsl:template>

<xsl:template match="REF-FASCICULE" mode="REF">  
  (<xsl:apply-templates/>)
</xsl:template>

<xsl:template match="REF-ORGANISME|REF-REDACTEUR|REF-NUMERO|REF-LIBRE" mode="REF">  
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="REF-ARTICLE-REVUE/REF-PAGE-DEBUT" mode="REF">
  :<xsl:apply-templates mode="REF"/>
</xsl:template>

<xsl:template match="REF-ARTICLE-LIVRE/REF-PAGE-DEBUT" mode="REF">
  &#32;p.&#32;<xsl:apply-templates mode="REF"/>
</xsl:template>

<xsl:template match="REF-GRP-EDITEUR" mode="REF">
  &#32;In:&#32;<xsl:apply-templates mode="REF"/>editors.
</xsl:template>

<xsl:template match="REF-EDITEUR" mode="REF">
  <xsl:apply-templates mode="REF"/>,&#32;
</xsl:template>

<xsl:template match="REF-ARTICLE-REVUE/REF-PAGE-FIN|REF-ARTICLE-LIVRE/REF-PAGE-FIN" mode="REF">
  -<xsl:apply-templates mode="REF"/>
</xsl:template>

<xsl:template match="REF-NB-PAGES" mode="REF">
  &#32;<xsl:apply-templates mode="REF"/>&#32;pages</xsl:template>

<xsl:template match="REF-PRENOM|REF-ANONYME" mode="REF">  
</xsl:template>

<xsl:template match="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">
  <xsl:variable name="LAppelReference" select="@IDREF"/>
  <xsl:choose>
    <xsl:when test="ancestor::CHAPITRE-QUESTIONS">
		  <xsl:for-each select="ancestor::CHAPITRE-QUESTIONS//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-EXPERTISE">
		  <xsl:for-each select="ancestor::CHAPITRE-EXPERTISE//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::SYNTHESE">
		  <xsl:for-each select="ancestor::SYNTHESE//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-ANALYSE">
		  <xsl:for-each select="ancestor::RECOMMANDATION-ANALYSE//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-SYNTHESE">
		  <xsl:for-each select="ancestor::RECOMMANDATION-SYNTHESE//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-COMMUNICATION">
		  <xsl:for-each select="ancestor::CHAPITRE-COMMUNICATION//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::SECT-INTRODUCTION">
		  <xsl:for-each select="ancestor::SECT-INTRODUCTION//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
    <xsl:when test="ancestor::SECT-CONCLUSION">
		  <xsl:for-each select="ancestor::SECT-CONCLUSION//REFERENCE-BIBLIOGRAPHIQUE">
		    <xsl:if test="@ID=$LAppelReference">
		      <FONT CLASS="RENVOI-REFERENCE-BIBLIOGRAPHIQUE">[<xsl:value-of select="position()"/>
		        <xsl:for-each select="./REF-PAGE-DEBUT">
				      <xsl:if test="position()=1">:<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>]
				      <xsl:if test="position()>1">,<xsl:value-of select="."/><xsl:if test="following-sibling::*[1][self::REF-PAGE-FIN]">-<xsl:value-of select="following-sibling::*[1]"/></xsl:if></xsl:if>
            </xsl:for-each>]</FONT>
		    </xsl:if>
		  </xsl:for-each>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="RENVOI-NOTE-BAS-PAGE">
  <xsl:variable name="LAppelNote" select="@IDREF"/>
  <xsl:choose>
    <xsl:when test="ancestor::CHAPITRE-QUESTIONS">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::CHAPITRE-QUESTIONS//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-EXPERTISE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::CHAPITRE-EXPERTISE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SYNTHESE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SYNTHESE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-ANALYSE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::RECOMMANDATION-ANALYSE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::RECOMMANDATION-SYNTHESE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::RECOMMANDATION-SYNTHESE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::CHAPITRE-COMMUNICATION">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::CHAPITRE-COMMUNICATION//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-AVANT-PROPOS">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-AVANT-PROPOS//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-AUTEURS">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-AUTEURS//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-REMERCIEMENTS">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-REMERCIEMENTS//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-LISTE-DES-SIGLES">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-LISTE-DES-SIGLES//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-PREFACE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-PREFACE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-INTRODUCTION">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-INTRODUCTION//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-CONCLUSION">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-CONCLUSION//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-BIBLIOGRAPHIE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-BIBLIOGRAPHIE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-GLOSSAIRE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-GLOSSAIRE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-ANNUAIRE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-ANNUAIRE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-NOTE-LECTURE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-NOTE-LECTURE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-POSTFACE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-POSTFACE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-MEME-COLLECTION">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-MEME-COLLECTION//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::SECT-EQUIPES">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::SECT-EQUIPES//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
    <xsl:when test="ancestor::ANNEXE">
      <xsl:variable name="test">
			  <xsl:for-each select="ancestor::ANNEXE//NOTE-BAS-PAGE">
			    <xsl:if test="@ID=$LAppelNote">
			      <SUP><FONT CLASS="RENVOI-NOTE-BAS-PAGE"><xsl:value-of select="position()"/></FONT></SUP>
			    </xsl:if>
			  </xsl:for-each>
      </xsl:variable>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="NOTE-ENCADRE">
  <SUP><FONT CLASS="APPEL-NOTE-ENCADRE"><xsl:number format="1" level="any" from="ENCADRE"/></FONT></SUP>
</xsl:template>

<xsl:template match="RENVOI-NOTE-ENCADRE">
  <xsl:variable name="LAppelEncadre" select="@IDREF"/>
  <xsl:for-each select="ancestor::ENCADRE//NOTE-ENCADRE">
    <xsl:if test="@ID=$LAppelEncadre">
      <SUP><FONT CLASS="RENVOI-NOTE-ENCADRE"><xsl:value-of select="position()"/></FONT></SUP>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template match="NOTE-TABLEAU">
  <SUP><FONT CLASS="APPEL-NOTE-TABLEAU"><xsl:number format="1" level="any" from="TABLEAU"/></FONT></SUP>
</xsl:template>

<xsl:template match="RENVOI-NOTE-TABLEAU">
  <xsl:variable name="LAppelTableau" select="@IDREF"/>
  <xsl:for-each select="ancestor::TABLEAU//NOTE-TABLEAU">
    <xsl:if test="@ID=$LAppelTableau">
      <SUP><FONT CLASS="RENVOI-NOTE-TABLEAU"><xsl:value-of select="position()"/></FONT></SUP>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template match="RENVOI-EQUATION">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute>
    <xsl:variable name="LId" select="@IDREF"/>Eqn. <xsl:value-of select="//EQUATION[@ID=$LId]/NUMERO-EQUATION"/>
  </FONT>
</xsl:template>

<xsl:template match="RENVOI-FIGURE">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute>
    <xsl:variable name="LId" select="@IDREF"/>Fig. <xsl:value-of select="//FIGURE[@ID=$LId]/NUMERO-FIGURE"/>
  </FONT>
</xsl:template>

<xsl:template match="RENVOI-TABLEAU">
  <FONT><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute>
    <xsl:variable name="LId" select="@IDREF"/>Tab. <xsl:value-of select="//TABLEAU[@ID=$LId]/NUMERO-TABLEAU"/>
  </FONT>
</xsl:template>

<xsl:template match="NOTE-BAS-PAGE" mode="NBP">
  <xsl:choose>
    <xsl:when test="starts-with(name(..),'IT') and position()!=last()">
      <xsl:apply-templates select="child::*|text()"/><BR/>
    </xsl:when>
    <xsl:when test="starts-with(name(..),'IT') and position()=last()">
      <xsl:apply-templates select="child::*|text()"/>
    </xsl:when>
    <xsl:otherwise>
      <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:value-of select="position()"/>&#46; <xsl:apply-templates/></P>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="NOTE-ENCADRE" mode="NE">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:value-of select="position()"/>&#46; <xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="NOTE-TABLEAU" mode="TA">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:value-of select="position()"/>&#46; <xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="RUBRIQUE-BIBLIOGRAPHIQUE">
  <FONT CLASS="RUBRIQUE-BIBLIOGRAPHIQUE"><xsl:apply-templates/></FONT><BR/>
</xsl:template>

<xsl:template match="BI">
  <FONT CLASS="BI"><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="RM">
  <FONT CLASS="RM"><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="EXP">
  <SUP><xsl:apply-templates/></SUP>
</xsl:template>

<xsl:template match="SL">
  <U><xsl:apply-templates/></U>
</xsl:template>

<xsl:template match="IND">
  <SUB><xsl:apply-templates/></SUB>
</xsl:template>

<xsl:template match="PC">
  <FONT CLASS="PC"><xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="FOLIO">
  <FONT CLASS="FOLIO"><xsl:value-of select="@IDREF"/></FONT>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="ANCRE">
  <FONT CLASS="ANCRE"><A><xsl:attribute name="NAME"><xsl:value-of select="@ID"/></xsl:attribute><xsl:value-of select="@IDREF"/></A></FONT>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="LIEN">
  <FONT CLASS="LIEN"><A>
  <xsl:attribute name="HREF">
    <xsl:if test="@IDREFOuvrage!=''"><xsl:value-of select="@IDREFOuvrage"/>.xml</xsl:if>#<xsl:value-of select="@IDREFEmplacement"/></xsl:attribute>
  <xsl:apply-templates/>
  </A></FONT>
</xsl:template>

<xsl:template match="LIEN-WEB">
  <FONT CLASS="LIEN-WEB"><A><xsl:attribute name="HREF"><xsl:value-of select="@Destination"/></xsl:attribute><xsl:apply-templates/></A></FONT>
  
</xsl:template>

<xsl:template match="APPEL-MEDIA">
  <FONT CLASS="APPEL-MEDIA">Appel <xsl:value-of select="@Type"/> <xsl:value-of select="@Media"/></FONT>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="EQUATION">
  <P><IMG><xsl:attribute name="SRC"><xsl:value-of select="@Image"/>.jpg</xsl:attribute></IMG><BR/>
  <FONT CLASS="TITRE-EQUATION">
    <xsl:apply-templates/>
  </FONT></P>
</xsl:template>
<xsl:template match="NUMERO-EQUATION">
  &#32;Equation n&#186;<xsl:apply-templates/>
</xsl:template>
<xsl:template match="TITRE-EQUATION">
  &#32;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="EQUATION-EN-LIGNE">
  <IMG><xsl:attribute name="SRC"><xsl:value-of select="@Image"/>.jpg</xsl:attribute></IMG>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="FIGURE">
  <P><A><xsl:attribute name="NAME"><xsl:value-of select="@ID"/></xsl:attribute></A>
  <xsl:apply-templates/></P>
</xsl:template>
<xsl:template match="NUMERO-FIGURE">
  <FONT CLASS="TITRE-FIGURE">Figure n&#186;<xsl:apply-templates/></FONT>
</xsl:template>
<xsl:template match="TITRE-FIGURE">
  <FONT CLASS="TITRE-FIGURE">&#32;<xsl:apply-templates/></FONT>
</xsl:template>
<xsl:template match="LEGENDE-FIGURE">
  <BR/><FONT CLASS="LEGENDE-FIGURE">&#32;<xsl:apply-templates/></FONT>
</xsl:template>

<xsl:template match="IMAGE|IMAGE-EN-LIGNE|TABLEAU-IMAGE">
  <IMG><xsl:attribute name="SRC"><xsl:value-of select="@Image"/>.jpg</xsl:attribute></IMG>
</xsl:template>

<xsl:template match="P-DIALOGUE">
  <P CLASS="P-DIALOGUE">&#8212; <xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TITRE-TABLEAU">
  <P CLASS="TITRE-TABLEAU">
    <xsl:apply-templates select="../NUMERO-TABLEAU"/>  
    <xsl:apply-templates/>  
  </P>
</xsl:template>
<xsl:template match="NUMERO-TABLEAU">
  <FONT CLASS="NUMERO-TABLEAU">Tableau <xsl:apply-templates/>&#32;</FONT>
</xsl:template>
<xsl:template match="LEGENDE-TABLEAU|SOURCE-TABLEAU">
  <P><xsl:attribute name="CLASS"><xsl:value-of select="name()"/></xsl:attribute><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="TXT4EME-INFO|PRIX-FRANCS-INFO|PRIX-EURO-INFO|EDITEUR-MAISON-INFO|ISSN-INFO|
                     EDITE-PAR-INFO|COLLABORATEUR-INFO|AUTEUR-SOMMAIRE">
</xsl:template>

<xsl:template match="TITRE-COURANT-GAUCHE|TITRE-COURANT-DROIT">
</xsl:template>

<xsl:template match="BR">
  <BR/>
</xsl:template>




<xsl:template match="tgroup">
  <table cellspacing="0" cellpadding="4">
    <xsl:if test="../@pgwide=1">
      <xsl:attribute name="width">100%</xsl:attribute>
    </xsl:if>

    <xsl:if test="@align">
      <xsl:attribute name="align">
        <xsl:value-of select="@align"/>
      </xsl:attribute>
    </xsl:if>

    <xsl:choose>
      <xsl:when test="../@frame='topbot'">
        <xsl:attribute name="style">border-top:thin solid black;border-bottom:thin solid black</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="border">0</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:variable name="colgroup">
      <colgroup>
        <xsl:call-template name="generate.colgroup">
          <xsl:with-param name="cols" select="@cols"/>
        </xsl:call-template>
      </colgroup>
    </xsl:variable>

    <xsl:variable name="table.width">
      <xsl:choose>
        <xsl:when test="$default.table.width = ''">
          <xsl:text>100%</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$default.table.width"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:attribute name="width">
       <xsl:value-of select="$table.width"/>
    </xsl:attribute>


    <xsl:copy-of select="$colgroup"/>

    <xsl:apply-templates/>

   </table>
</xsl:template>

<xsl:template match="colspec"></xsl:template>

<xsl:template match="spanspec"></xsl:template>

<xsl:template match="thead|tfoot">
  <xsl:element name="{name(.)}">
    <xsl:if test="@align">
      <xsl:attribute name="align">
        <xsl:value-of select="@align"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@char">
      <xsl:attribute name="char">
        <xsl:value-of select="@char"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@charoff">
      <xsl:attribute name="charoff">
        <xsl:value-of select="@charoff"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@valign">
      <xsl:attribute name="valign">
        <xsl:value-of select="@valign"/>
      </xsl:attribute>
    </xsl:if>

    <xsl:apply-templates/>
  </xsl:element>
</xsl:template>

<xsl:template match="tbody">
  <tbody>
    <xsl:if test="@align">
      <xsl:attribute name="align">
        <xsl:value-of select="@align"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@char">
      <xsl:attribute name="char">
        <xsl:value-of select="@char"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@charoff">
      <xsl:attribute name="charoff">
        <xsl:value-of select="@charoff"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@valign">
      <xsl:attribute name="valign">
        <xsl:value-of select="@valign"/>
      </xsl:attribute>
    </xsl:if>

    <xsl:apply-templates/>
  </tbody>
</xsl:template>

<xsl:template match="row">
  <tr>
    <xsl:if test="@align">
      <xsl:attribute name="align">
        <xsl:value-of select="@align"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@char">
      <xsl:attribute name="char">
        <xsl:value-of select="@char"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@charoff">
      <xsl:attribute name="charoff">
        <xsl:value-of select="@charoff"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@valign">
      <xsl:attribute name="valign">
        <xsl:value-of select="@valign"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:apply-templates/>
  </tr>
</xsl:template>

<xsl:template match="thead/row/entry">
  <xsl:call-template name="process.cell">
    <xsl:with-param name="cellgi">th</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template match="tbody/row/entry">
  <xsl:call-template name="process.cell">
    <xsl:with-param name="cellgi">td</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template match="tfoot/row/entry">
  <xsl:call-template name="process.cell">
    <xsl:with-param name="cellgi">th</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="process.cell">
  <xsl:param name="cellgi">td</xsl:param>


  <xsl:variable name="empty.cell" select="count(node()) = 0"/>

  <xsl:variable name="entry.colnum">
    <xsl:call-template name="entry.colnum"/>
  </xsl:variable>

  <xsl:if test="$entry.colnum != ''">
    <xsl:variable name="prev.entry" select="preceding-sibling::*[1]"/>
    <xsl:variable name="prev.ending.colnum">
      <xsl:choose>
        <xsl:when test="$prev.entry">
          <xsl:call-template name="entry.ending.colnum">
            <xsl:with-param name="entry" select="$prev.entry"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

<!--    <xsl:call-template name="add-empty-entries">
      <xsl:with-param name="number">
        <xsl:choose>
          <xsl:when test="$prev.ending.colnum = ''">0</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="$entry.colnum - $prev.ending.colnum - 1"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>-->
  </xsl:if>

  <xsl:element name="{$cellgi}">

  <xsl:if test="@spanname">
  	<xsl:variable name="namest" select="ancestor::tgroup/spanspec[@spanname=./@spanname]/@namest"/>
	  <xsl:variable name="nameend" select="ancestor::tgroup/spanspec[@spanname=./@spanname]/@nameend"/>
	  <xsl:variable name="colst" select="ancestor::*[colspec/@colname=$namest]/colspec[@colname=$namest]/@colnum"/>
	  <xsl:variable name="colend" select="ancestor::*[colspec/@colname=$nameend]/colspec[@colname=$nameend]/@colnum"/>
	  <xsl:attribute name="colspan"><xsl:value-of select="number($colend) - number($colst) + 1"/></xsl:attribute>
  </xsl:if>

    <xsl:if test="@morerows">
      <xsl:attribute name="rowspan">
        <xsl:value-of select="@morerows+1"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@namest">
      <xsl:attribute name="colspan">
        <xsl:call-template name="calculate.colspan"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@align">
      <xsl:attribute name="align">
        <xsl:value-of select="@align"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@char">
      <xsl:attribute name="char">
        <xsl:value-of select="@char"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@charoff">
      <xsl:attribute name="charoff">
        <xsl:value-of select="@charoff"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="@valign">
      <xsl:attribute name="valign">
        <xsl:value-of select="@valign"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:variable name="colsep">
		<xsl:choose>
		<!--entry-->
		    	<xsl:when test="@colsep='1'">1</xsl:when>
		    	<xsl:when test="@colsep='0'">0</xsl:when>
		<!--row-->
		    	<xsl:when test="../@colsep='1'">1</xsl:when>
		    	<xsl:when test="../@colsep='0'">0</xsl:when>
		<!--tbody ou thead ou tfoot-->
		    	<xsl:when test="../../@colsep='1'">1</xsl:when>
		    	<xsl:when test="../../@colsep='0'">0</xsl:when>
		<!--tgroup-->
		    	<xsl:when test="../../../@colsep='1'">1</xsl:when>
		    	<xsl:when test="../../../@colsep='0'">0</xsl:when>
		<!--table-->
		    	<xsl:when test="../../../../@colsep='1'">1</xsl:when>
		    	<xsl:when test="../../../../@colsep='0'">0</xsl:when>
		</xsl:choose>
	</xsl:variable>

    <xsl:variable name="rowsep">
		<xsl:choose>
		<!--entry-->
		    	<xsl:when test="@rowsep='1'">1</xsl:when>
		    	<xsl:when test="@rowsep='0'">0</xsl:when>
		<!--row-->
		    	<xsl:when test="../@rowsep='1'">1</xsl:when>
		    	<xsl:when test="../@rowsep='0'">0</xsl:when>
		<!--tbody ou thead ou tfoot-->
		    	<xsl:when test="../../@rowsep='1'">1</xsl:when>
		    	<xsl:when test="../../@rowsep='0'">0</xsl:when>
		<!--tgroup-->
		    	<xsl:when test="../../../@rowsep='1'">1</xsl:when>
		    	<xsl:when test="../../../@rowsep='0'">0</xsl:when>
		<!--table-->
		    	<xsl:when test="../../../../@rowsep='1'">1</xsl:when>
		    	<xsl:when test="../../../../@rowsep='0'">0</xsl:when>
		</xsl:choose>
	</xsl:variable>

	<xsl:choose>
		<xsl:when test="$colsep='1'">
			<xsl:choose>
				<xsl:when test="$rowsep='1'">
					<xsl:attribute name="style">border-bottom:thin solid black;border-right:thin solid black</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="style">border-right:thin solid black</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="$rowsep='1'">
				<xsl:attribute name="style">border-bottom:thin solid black</xsl:attribute>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:if test="not(preceding-sibling::*)
                  and ancestor::row/@id">
      <a name="{ancestor::row/@id}"/>
    </xsl:if>

    <xsl:if test="@id">
      <a name="{@id}"/>
    </xsl:if>

    <xsl:choose>
      <xsl:when test="$empty.cell">
        <xsl:text>&#160;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:element>
</xsl:template>

<xsl:template name="add-empty-entries">
  <xsl:param name="number" select="'0'"/>
  <xsl:choose>
    <xsl:when test="$number &lt;= 0"></xsl:when>
    <xsl:otherwise>
      <td>&#160;</td>
      <xsl:call-template name="add-empty-entries">
        <xsl:with-param name="number" select="$number - 1"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="entry.colnum">
  <xsl:param name="entry" select="."/>

  <xsl:choose>
    <xsl:when test="$entry/@colname">
      <xsl:variable name="colname" select="$entry/@colname"/>
      <xsl:variable name="colspec"

select="$entry/ancestor::tgroup/colspec[@colname=$colname]"/>
      <xsl:call-template name="colspec.colnum">
        <xsl:with-param name="colspec" select="$colspec"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:when test="$entry/@namest">
      <xsl:variable name="namest" select="$entry/@namest"/>
      <xsl:variable name="colspec"
select="$entry/ancestor::tgroup/colspec[@colname=$namest]"/>
      <xsl:call-template name="colspec.colnum">
        <xsl:with-param name="colspec" select="$colspec"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:when test="count($entry/preceding-sibling::*) = 0">1</xsl:when>
    <xsl:otherwise>
      <xsl:variable name="pcol">
        <xsl:call-template name="entry.ending.colnum">
          <xsl:with-param name="entry"
select="$entry/preceding-sibling::*[1]"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:value-of select="$pcol + 1"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="entry.ending.colnum">
  <xsl:param name="entry" select="."/>

  <xsl:choose>
    <xsl:when test="$entry/@colname">
      <xsl:variable name="colname" select="$entry/@colname"/>
      <xsl:variable name="colspec"
select="$entry/ancestor::tgroup/colspec[@colname=$colname]"/>
      <xsl:call-template name="colspec.colnum">
        <xsl:with-param name="colspec" select="$colspec"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:when test="$entry/@nameend">
      <xsl:variable name="nameend" select="$entry/@nameend"/>
      <xsl:variable name="colspec"
select="$entry/ancestor::tgroup/colspec[@colname=$nameend]"/>
      <xsl:call-template name="colspec.colnum">
        <xsl:with-param name="colspec" select="$colspec"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:when test="count($entry/preceding-sibling::*) = 0">1</xsl:when>
    <xsl:otherwise>
      <xsl:variable name="pcol">
        <xsl:call-template name="entry.ending.colnum">
          <xsl:with-param name="entry"
select="$entry/preceding-sibling::*[1]"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:value-of select="$pcol + 1"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="colspec.colnum">
  <xsl:param name="colspec" select="."/>
  <xsl:choose>
    <xsl:when test="$colspec/@colnum">
      <xsl:value-of select="$colspec/@colnum"/>
    </xsl:when>
    <xsl:when test="$colspec/preceding-sibling::colspec">
      <xsl:variable name="prec.colspec.colnum">
        <xsl:call-template name="colspec.colnum">
          <xsl:with-param name="colspec"
                          select="$colspec/preceding-sibling::colspec[1]"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:value-of select="$prec.colspec.colnum + 1"/>
    </xsl:when>
    <xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="generate.colgroup">
  <xsl:param name="cols" select="1"/>
  <xsl:param name="count" select="1"/>
  <xsl:choose>
    <xsl:when test="$count>$cols"></xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="generate.col">
        <xsl:with-param name="countcol" select="$count"/>
      </xsl:call-template>
      <xsl:call-template name="generate.colgroup">
        <xsl:with-param name="cols" select="$cols"/>
        <xsl:with-param name="count" select="$count+1"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="generate.col">
  <xsl:param name="countcol">1</xsl:param>
  <xsl:param name="colspecs" select="./colspec"/>
  <xsl:param name="count">1</xsl:param>
  <xsl:param name="colnum">1</xsl:param>

  <xsl:choose>
    <xsl:when test="$count>count($colspecs)">
      <col/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="colspec" select="$colspecs[$count=position()]"/>
      <xsl:variable name="colspec.colnum">
        <xsl:choose>
          <xsl:when test="$colspec/@colnum">
            <xsl:value-of select="$colspec/@colnum"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="$colnum"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <xsl:choose>
        <xsl:when test="$colspec.colnum=$countcol">
          <col>
            <xsl:if test="$colspec/@align">
              <xsl:attribute name="align">
                <xsl:value-of select="$colspec/@align"/>
              </xsl:attribute>
            </xsl:if>
            <xsl:if test="$colspec/@char">
              <xsl:attribute name="char">
                <xsl:value-of select="$colspec/@char"/>
              </xsl:attribute>
            </xsl:if>
            <xsl:if test="$colspec/@charoff">
              <xsl:attribute name="charoff">
                <xsl:value-of select="$colspec/@charoff"/>
              </xsl:attribute>
            </xsl:if>
          </col>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="generate.col">
            <xsl:with-param name="countcol" select="$countcol"/>
            <xsl:with-param name="colspecs" select="$colspecs"/>
            <xsl:with-param name="count" select="$count+1"/>
            <xsl:with-param name="colnum">
              <xsl:choose>
                <xsl:when test="$colspec/@colnum">
                  <xsl:value-of select="$colspec/@colnum + 1"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$colnum + 1"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
           </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>

<xsl:template name="colspec.colwidth">
  <!-- when this macro is called, the current context must be an entry -->
  <xsl:param name="colname"></xsl:param>
  <!-- .. = row, ../.. = thead|tbody, ../../.. = tgroup -->
  <xsl:param name="colspecs" select="../../../../tgroup/colspec"/>
  <xsl:param name="count">1</xsl:param>
  <xsl:choose>
    <xsl:when test="$count>count($colspecs)"></xsl:when>
    <xsl:otherwise>
      <xsl:variable name="colspec" select="$colspecs[$count=position()]"/>
      <xsl:choose>
        <xsl:when test="$colspec/@colname=$colname">
          <xsl:value-of select="$colspec/@colwidth"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="colspec.colwidth">
            <xsl:with-param name="colname" select="$colname"/>
            <xsl:with-param name="colspecs" select="$colspecs"/>
            <xsl:with-param name="count" select="$count+1"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="calculate.colspan">
  <xsl:param name="entry" select="."/>
  <xsl:variable name="namest" select="$entry/@namest"/>
  <xsl:variable name="nameend" select="$entry/@nameend"/>

  <xsl:variable name="scol">
    <xsl:call-template name="colspec.colnum">
      <xsl:with-param name="colspec"
select="$entry/ancestor::tgroup/colspec[@colname=$namest]"/>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="ecol">
    <xsl:call-template name="colspec.colnum">
      <xsl:with-param name="colspec"

select="$entry/ancestor::tgroup/colspec[@colname=$nameend]"/>
    </xsl:call-template>
  </xsl:variable>
  <xsl:value-of select="$ecol - $scol + 1"/>
</xsl:template>

</xsl:stylesheet>